curl --request POST \
--url https://api.kraken.com/0/private/OrderAmends \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"nonce": 1695828490,
"order_id": "OVITN3-BFK3H-63K37C"
}
'import requests
url = "https://api.kraken.com/0/private/OrderAmends"
payload = {
"nonce": 1695828490,
"order_id": "OVITN3-BFK3H-63K37C"
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 1695828490, order_id: 'OVITN3-BFK3H-63K37C'})
};
fetch('https://api.kraken.com/0/private/OrderAmends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/OrderAmends"
payload := strings.NewReader("{\n \"nonce\": 1695828490,\n \"order_id\": \"OVITN3-BFK3H-63K37C\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"response": {
"error": [],
"result": {
"amends": [
{
"amend_id": "TSUN4B-EX2XN-WQ6GKG",
"amend_type": "original",
"order_qty": "0.01000000",
"remaining_qty": "0.01000000",
"limit_price": "61032.8",
"timestamp": 1724158070287558000
},
{
"amend_id": "TF6VAW-VUWMX-6SXTCH",
"amend_type": "user",
"order_qty": "0.01000000",
"remaining_qty": "0.01000000",
"limit_price": "61032.7",
"timestamp": 1724158076936755700
},
{
"amend_id": "TUMY4K-E4MPE-CSL2N3",
"amend_type": "user",
"order_qty": "0.01000000",
"remaining_qty": "0.01000000",
"limit_price": "61032.6",
"timestamp": 1724158214879660000
}
],
"count": 3
}
}
}Get Order Amends
Retrieves an audit trail of amend transactions on the specified order. The list is ordered by ascending amend timestamp.
API Key Permissions Required: Orders and trades - Query open orders & trades or Orders and trades - Query closed orders & trades, depending on status of order.
curl --request POST \
--url https://api.kraken.com/0/private/OrderAmends \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"nonce": 1695828490,
"order_id": "OVITN3-BFK3H-63K37C"
}
'import requests
url = "https://api.kraken.com/0/private/OrderAmends"
payload = {
"nonce": 1695828490,
"order_id": "OVITN3-BFK3H-63K37C"
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 1695828490, order_id: 'OVITN3-BFK3H-63K37C'})
};
fetch('https://api.kraken.com/0/private/OrderAmends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/OrderAmends"
payload := strings.NewReader("{\n \"nonce\": 1695828490,\n \"order_id\": \"OVITN3-BFK3H-63K37C\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"response": {
"error": [],
"result": {
"amends": [
{
"amend_id": "TSUN4B-EX2XN-WQ6GKG",
"amend_type": "original",
"order_qty": "0.01000000",
"remaining_qty": "0.01000000",
"limit_price": "61032.8",
"timestamp": 1724158070287558000
},
{
"amend_id": "TF6VAW-VUWMX-6SXTCH",
"amend_type": "user",
"order_qty": "0.01000000",
"remaining_qty": "0.01000000",
"limit_price": "61032.7",
"timestamp": 1724158076936755700
},
{
"amend_id": "TUMY4K-E4MPE-CSL2N3",
"amend_type": "user",
"order_qty": "0.01000000",
"remaining_qty": "0.01000000",
"limit_price": "61032.6",
"timestamp": 1724158214879660000
}
],
"count": 3
}
}
}Authorizations
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
Query Parameters
Public wallet account ID. Omit to use the authenticated user's default wallet. See List Wallet Accounts.
Body
Nonce used in construction of API-Sign header
The Kraken order identifier for the amended order.
Optional parameter for viewing xStocks data.
rebased: Display in terms of underlying equity.base: Display in terms of SPV tokens.
rebased, base Response
The first entry contains the original order parameters and has amend_type of original.
The amend transaction history.
Show child attributes
Show child attributes
Was this page helpful?